using System;

namespace RepPP.Toolkit.Window {
	/// <summary>
	/// IUserValidationCode interface. This interface must be implemented by all
	/// user defined validation module for them to be loaded by the framework.
	/// </summary>
    public interface IUserValidationCode {
        /// <summary>
        /// Initialize the validation module.
        /// </summary>
        /// <param name="parentValidation">Parent interface</param>
        void InitializeV(IParentValidation parentValidation);
        /// <summary>
        /// Dispose the validation module.
        /// </summary>
        void Dispose();
    };
}
