//**********************************************************************
//
//   Module:             Global.cs
//
//   Author:             Maher Najah
//   Version:            1.00.00
//   Creation:           2004-10-18
//   Modification:       2004-10-18
//
//   Description:        Global variables related to one version of rep++
//
//**********************************************************************

using System;

namespace RepPP.VSNetWizard
{
	/// <summary>
	/// Global class
	/// </summary>
	internal class Global {
        public const string REGKEY_INSTALLDIR         = "SOFTWARE\\Consyst SQL\\Rep++studio\\07.00.000\\InstallDir";
        public const string WEB_WIZARD_REGKEY         = "SOFTWARE\\Consyst SQL\\SQL Design\\7.00.00\\Web Wizard";
        public const string TYPEDINST_WIZARD_REGKEY   = "SOFTWARE\\Consyst SQL\\SQL Design\\7.00.00\\Typed Instances Wizard";
        public const string ASPNET_WIZARD_REGKEY      = "SOFTWARE\\Consyst SQL\\SQL Design\\7.00.00\\ASP.Net Wizard";
#if VC70 == true
        public const string WEB_WIZARD_GUID           = "9AF8B0BD-9665-4e64-B01F-FE6D71628805";
        public const string WEB_WIZARD_PRGID          = "RepPPWebWizard70.Connect";
        public const string TYPEDINST_WIZARD_GUID     = "4C027C99-3C0E-4376-A7CD-1022DE340B10";
        public const string TYPEDINST_WIZARD_PRGID    = "RepPPTypedInstWizard70.Connect";
        public const string ASPNET_WIZARD_GUID        = "D6CFA1C0-F2A8-4972-A1DC-92FA65D564D7";
        public const string ASPNET_WIZARD_PRGID       = "RepPPASPNetWizard70.Connect";
        public const string WIZARD_GUID               = "8D4B0724-4F61-415B-B26D-3615A91313D4";
        public const string WIZARD_PRGID              = "RepPPWizard70.Connect";
        public const string ADDIN_GUID                = "147A9AD0-D844-470A-AF56-75E97EE4D124";
        public const string ADDIN_PRGID               = "RepPP70.VSAddIn";
#else 
#if VC71 == true 
        public const string WEB_WIZARD_GUID           = "C577717F-9579-4bb2-9F6E-C54F58ED23A4";
        public const string WEB_WIZARD_PRGID          = "RepPPWebWizard71.Connect";
        public const string TYPEDINST_WIZARD_GUID     = "61F28819-D0ED-4e31-9FDA-90883B167DDF";
        public const string TYPEDINST_WIZARD_PRGID    = "RepPPTypedInstWizard71.Connect";
        public const string ASPNET_WIZARD_GUID        = "CC51B1B3-1058-459d-A5C4-3E0BD8C17789";
        public const string ASPNET_WIZARD_PRGID       = "RepPPASPNetWizard71.Connect";
        public const string WIZARD_GUID               = "655467B0-8A32-44E1-8EA7-2AC06B92D5A6";
        public const string WIZARD_PRGID              = "RepPPWizard71.Connect";
        public const string ADDIN_GUID                = "603B1BF4-C365-4926-A7EF-00A7D126EA64";
        public const string ADDIN_PRGID               = "RepPP71.VSAddIn";
#else // VC8.0
        public const string WEB_WIZARD_GUID           = "A510F8E1-177A-4704-9F7D-37D40F7BFE6E";
        public const string WEB_WIZARD_PRGID          = "RepPPWebWizard72.Connect";
        public const string TYPEDINST_WIZARD_GUID     = "FA77A973-CD97-4304-8487-1C62F29EC110";
        public const string TYPEDINST_WIZARD_PRGID    = "RepPPTypedInstWizard72.Connect";
        public const string ASPNET_WIZARD_GUID        = "0D3C28BF-F18F-437a-B67E-4BE06C2E101F";
        public const string ASPNET_WIZARD_PRGID       = "RepPPASPNetWizard72.Connect";
        public const string WIZARD_GUID               = "0F471091-C233-486c-9847-647BDBC570FD";
        public const string WIZARD_PRGID              = "RepPPWizard72.Connect";
        public const string ADDIN_GUID                = "937A1C93-EFA9-44cf-9573-5EECB62413E4";
        public const string ADDIN_PRGID               = "RepPP72.VSAddIn";
#endif
#endif
	} // class Global
} // namaspace
