//**********************************************************************
//
//    Module:             frmWinFieldConfig.cs.
//
//    Author:             Maher Najah
//    Version:            1.00.00
//    Creation:           2004-12-07
//    Modification:       2004-12-07
//
//    Description:        Implementing Rep++ fields configuration form
//
//**********************************************************************
using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace RepPP.VSNetWizard.Windows
{
	/// <summary>
	/// Summary description for frmWinFieldConfig.
	/// </summary>
	internal class frmFieldConfig : System.Windows.Forms.Form
	{
		/// <summary>
		/// Required designer variable.
		/// </summary>
        internal System.Windows.Forms.GroupBox      Frame1;
        internal System.Windows.Forms.GroupBox      Frame3;
        internal System.Windows.Forms.GroupBox      Frame2;
        internal System.Windows.Forms.GroupBox      Frame4;
        internal System.Windows.Forms.Label         _Label;
        internal System.Windows.Forms.RadioButton   optSimple;
        internal System.Windows.Forms.RadioButton   optDropDown;
        internal System.Windows.Forms.RadioButton   optEdit;
        internal System.Windows.Forms.RadioButton   optRepository;
        internal System.Windows.Forms.RadioButton   optLeft;
        internal System.Windows.Forms.RadioButton   optCenter;
        internal System.Windows.Forms.RadioButton   optRight;
        internal System.Windows.Forms.Button        btnCancel;
        internal System.Windows.Forms.Button        btnOk;
        internal System.Windows.Forms.RadioButton   optList;
        internal System.Windows.Forms.RadioButton   optTextOnLeft;
        internal System.Windows.Forms.RadioButton   optTextOnRight;
		private  System.ComponentModel.Container    components = null;

        //**********************************************************************
        //
        // Constructor
        //   In: 
        //   Returns:
        //
        //**********************************************************************
		public frmFieldConfig() {
			InitializeComponent();
		}

        //**********************************************************************
        //
        // Constructor
        //   In     arrParam: 
        //   Returns:
        //
        //**********************************************************************
        public frmFieldConfig(object[] arrParam) {
            InitializeComponent();

          if ((HorizontalAlignment)arrParam[7] == HorizontalAlignment.Left) {
                optLeft.Checked = true;
            } else if ((HorizontalAlignment)arrParam[7] == HorizontalAlignment.Center) {
                optCenter.Checked = true;
            } else {
                optRight.Checked = true;
            }
            if ((ComboBoxStyle)arrParam[6] == ComboBoxStyle.Simple) {
                optSimple.Checked = true;
            } else if ((ComboBoxStyle)arrParam[6] == ComboBoxStyle.DropDown) {
                optDropDown.Checked = true;
            } else {
                optList.Checked = true;
            }
            optEdit.Checked       = (bool)arrParam[8];
            optTextOnLeft.Checked = (bool)arrParam[9];
        }

        //**********************************************************************
        //
        // Form overrides dispose to clean up the component list
        //   In:
        //       bDisposing : True to dispose the object, False to flush it
        //   Returns:
        //
        //**********************************************************************
        protected override void Dispose (bool bDisposing) {
			if (bDisposing) {
				if (components != null) {
					components.Dispose();
				}
			}
			base.Dispose(bDisposing);
		}
		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
            this.btnCancel = new System.Windows.Forms.Button();
            this.btnOk = new System.Windows.Forms.Button();
            this.Frame1 = new System.Windows.Forms.GroupBox();
            this.optEdit = new System.Windows.Forms.RadioButton();
            this.optRepository = new System.Windows.Forms.RadioButton();
            this.Frame3 = new System.Windows.Forms.GroupBox();
            this.optLeft = new System.Windows.Forms.RadioButton();
            this.optCenter = new System.Windows.Forms.RadioButton();
            this.optRight = new System.Windows.Forms.RadioButton();
            this.Frame2 = new System.Windows.Forms.GroupBox();
            this.optTextOnLeft = new System.Windows.Forms.RadioButton();
            this.optTextOnRight = new System.Windows.Forms.RadioButton();
            this.Frame4 = new System.Windows.Forms.GroupBox();
            this.optList = new System.Windows.Forms.RadioButton();
            this.optSimple = new System.Windows.Forms.RadioButton();
            this.optDropDown = new System.Windows.Forms.RadioButton();
            this._Label = new System.Windows.Forms.Label();
            this.Frame1.SuspendLayout();
            this.Frame3.SuspendLayout();
            this.Frame2.SuspendLayout();
            this.Frame4.SuspendLayout();
            this.SuspendLayout();
            // 
            // btnCancel
            // 
            this.btnCancel.BackColor = System.Drawing.SystemColors.Control;
            this.btnCancel.Cursor = System.Windows.Forms.Cursors.Default;
            this.btnCancel.DialogResult = System.Windows.Forms.DialogResult.Cancel;
            this.btnCancel.ForeColor = System.Drawing.SystemColors.ControlText;
            this.btnCancel.Location = new System.Drawing.Point(240, 216);
            this.btnCancel.Name = "btnCancel";
            this.btnCancel.RightToLeft = System.Windows.Forms.RightToLeft.No;
            this.btnCancel.Size = new System.Drawing.Size(73, 24);
            this.btnCancel.TabIndex = 15;
            this.btnCancel.Text = "Cancel";
            // 
            // btnOk
            // 
            this.btnOk.BackColor = System.Drawing.SystemColors.Control;
            this.btnOk.Cursor = System.Windows.Forms.Cursors.Default;
            this.btnOk.DialogResult = System.Windows.Forms.DialogResult.OK;
            this.btnOk.ForeColor = System.Drawing.SystemColors.ControlText;
            this.btnOk.Location = new System.Drawing.Point(160, 216);
            this.btnOk.Name = "btnOk";
            this.btnOk.RightToLeft = System.Windows.Forms.RightToLeft.No;
            this.btnOk.Size = new System.Drawing.Size(73, 24);
            this.btnOk.TabIndex = 14;
            this.btnOk.Text = "Ok";
            // 
            // Frame1
            // 
            this.Frame1.BackColor = System.Drawing.SystemColors.Control;
            this.Frame1.Controls.Add(this.optEdit);
            this.Frame1.Controls.Add(this.optRepository);
            this.Frame1.ForeColor = System.Drawing.SystemColors.ControlText;
            this.Frame1.Location = new System.Drawing.Point(8, 8);
            this.Frame1.Name = "Frame1";
            this.Frame1.RightToLeft = System.Windows.Forms.RightToLeft.No;
            this.Frame1.Size = new System.Drawing.Size(304, 41);
            this.Frame1.TabIndex = 11;
            this.Frame1.TabStop = false;
            this.Frame1.Text = "Control Type";
            // 
            // optEdit
            // 
            this.optEdit.BackColor = System.Drawing.SystemColors.Control;
            this.optEdit.Cursor = System.Windows.Forms.Cursors.Default;
            this.optEdit.ForeColor = System.Drawing.SystemColors.ControlText;
            this.optEdit.Location = new System.Drawing.Point(8, 16);
            this.optEdit.Name = "optEdit";
            this.optEdit.RightToLeft = System.Windows.Forms.RightToLeft.No;
            this.optEdit.Size = new System.Drawing.Size(72, 17);
            this.optEdit.TabIndex = 13;
            this.optEdit.TabStop = true;
            this.optEdit.Text = "Edit text";
            // 
            // optRepository
            // 
            this.optRepository.BackColor = System.Drawing.SystemColors.Control;
            this.optRepository.Checked = true;
            this.optRepository.Cursor = System.Windows.Forms.Cursors.Default;
            this.optRepository.ForeColor = System.Drawing.SystemColors.ControlText;
            this.optRepository.Location = new System.Drawing.Point(104, 16);
            this.optRepository.Name = "optRepository";
            this.optRepository.RightToLeft = System.Windows.Forms.RightToLeft.No;
            this.optRepository.Size = new System.Drawing.Size(129, 17);
            this.optRepository.TabIndex = 12;
            this.optRepository.TabStop = true;
            this.optRepository.Text = "As in repository";
            // 
            // Frame3
            // 
            this.Frame3.BackColor = System.Drawing.SystemColors.Control;
            this.Frame3.Controls.Add(this.optLeft);
            this.Frame3.Controls.Add(this.optCenter);
            this.Frame3.Controls.Add(this.optRight);
            this.Frame3.ForeColor = System.Drawing.SystemColors.ControlText;
            this.Frame3.Location = new System.Drawing.Point(8, 103);
            this.Frame3.Name = "Frame3";
            this.Frame3.RightToLeft = System.Windows.Forms.RightToLeft.No;
            this.Frame3.Size = new System.Drawing.Size(304, 41);
            this.Frame3.TabIndex = 7;
            this.Frame3.TabStop = false;
            this.Frame3.Text = "Text Alignment";
            // 
            // optLeft
            // 
            this.optLeft.BackColor = System.Drawing.SystemColors.Control;
            this.optLeft.Checked = true;
            this.optLeft.Cursor = System.Windows.Forms.Cursors.Default;
            this.optLeft.ForeColor = System.Drawing.SystemColors.ControlText;
            this.optLeft.Location = new System.Drawing.Point(8, 16);
            this.optLeft.Name = "optLeft";
            this.optLeft.RightToLeft = System.Windows.Forms.RightToLeft.No;
            this.optLeft.Size = new System.Drawing.Size(54, 17);
            this.optLeft.TabIndex = 10;
            this.optLeft.TabStop = true;
            this.optLeft.Text = "Left";
            // 
            // optCenter
            // 
            this.optCenter.BackColor = System.Drawing.SystemColors.Control;
            this.optCenter.Cursor = System.Windows.Forms.Cursors.Default;
            this.optCenter.ForeColor = System.Drawing.SystemColors.ControlText;
            this.optCenter.Location = new System.Drawing.Point(104, 16);
            this.optCenter.Name = "optCenter";
            this.optCenter.RightToLeft = System.Windows.Forms.RightToLeft.No;
            this.optCenter.Size = new System.Drawing.Size(64, 17);
            this.optCenter.TabIndex = 9;
            this.optCenter.TabStop = true;
            this.optCenter.Text = "Center";
            // 
            // optRight
            // 
            this.optRight.BackColor = System.Drawing.SystemColors.Control;
            this.optRight.Cursor = System.Windows.Forms.Cursors.Default;
            this.optRight.ForeColor = System.Drawing.SystemColors.ControlText;
            this.optRight.Location = new System.Drawing.Point(200, 16);
            this.optRight.Name = "optRight";
            this.optRight.RightToLeft = System.Windows.Forms.RightToLeft.No;
            this.optRight.Size = new System.Drawing.Size(57, 17);
            this.optRight.TabIndex = 8;
            this.optRight.TabStop = true;
            this.optRight.Text = "Right";
            // 
            // Frame2
            // 
            this.Frame2.BackColor = System.Drawing.SystemColors.Control;
            this.Frame2.Controls.Add(this.optTextOnLeft);
            this.Frame2.Controls.Add(this.optTextOnRight);
            this.Frame2.ForeColor = System.Drawing.SystemColors.ControlText;
            this.Frame2.Location = new System.Drawing.Point(8, 55);
            this.Frame2.Name = "Frame2";
            this.Frame2.RightToLeft = System.Windows.Forms.RightToLeft.No;
            this.Frame2.Size = new System.Drawing.Size(304, 41);
            this.Frame2.TabIndex = 4;
            this.Frame2.TabStop = false;
            this.Frame2.Text = "Right To Left";
            // 
            // optTextOnLeft
            // 
            this.optTextOnLeft.BackColor = System.Drawing.SystemColors.Control;
            this.optTextOnLeft.Cursor = System.Windows.Forms.Cursors.Default;
            this.optTextOnLeft.ForeColor = System.Drawing.SystemColors.ControlText;
            this.optTextOnLeft.Location = new System.Drawing.Point(8, 16);
            this.optTextOnLeft.Name = "optTextOnLeft";
            this.optTextOnLeft.RightToLeft = System.Windows.Forms.RightToLeft.No;
            this.optTextOnLeft.Size = new System.Drawing.Size(48, 17);
            this.optTextOnLeft.TabIndex = 6;
            this.optTextOnLeft.Text = "Yes";
            // 
            // optTextOnRight
            // 
            this.optTextOnRight.BackColor = System.Drawing.SystemColors.Control;
            this.optTextOnRight.Checked = true;
            this.optTextOnRight.Cursor = System.Windows.Forms.Cursors.Default;
            this.optTextOnRight.ForeColor = System.Drawing.SystemColors.ControlText;
            this.optTextOnRight.Location = new System.Drawing.Point(104, 16);
            this.optTextOnRight.Name = "optTextOnRight";
            this.optTextOnRight.RightToLeft = System.Windows.Forms.RightToLeft.No;
            this.optTextOnRight.Size = new System.Drawing.Size(56, 17);
            this.optTextOnRight.TabIndex = 5;
            this.optTextOnRight.TabStop = true;
            this.optTextOnRight.Text = "No";
            // 
            // Frame4
            // 
            this.Frame4.BackColor = System.Drawing.SystemColors.Control;
            this.Frame4.Controls.Add(this.optList);
            this.Frame4.Controls.Add(this.optSimple);
            this.Frame4.Controls.Add(this.optDropDown);
            this.Frame4.ForeColor = System.Drawing.SystemColors.ControlText;
            this.Frame4.Location = new System.Drawing.Point(8, 151);
            this.Frame4.Name = "Frame4";
            this.Frame4.RightToLeft = System.Windows.Forms.RightToLeft.No;
            this.Frame4.Size = new System.Drawing.Size(304, 41);
            this.Frame4.TabIndex = 0;
            this.Frame4.TabStop = false;
            this.Frame4.Text = "Combo Box Type";
            // 
            // optList
            // 
            this.optList.Location = new System.Drawing.Point(200, 16);
            this.optList.Name = "optList";
            this.optList.Size = new System.Drawing.Size(96, 16);
            this.optList.TabIndex = 4;
            this.optList.Text = "Drop down list";
            // 
            // optSimple
            // 
            this.optSimple.Location = new System.Drawing.Point(8, 16);
            this.optSimple.Name = "optSimple";
            this.optSimple.RightToLeft = System.Windows.Forms.RightToLeft.No;
            this.optSimple.Size = new System.Drawing.Size(81, 17);
            this.optSimple.TabIndex = 3;
            this.optSimple.TabStop = true;
            this.optSimple.Text = "Simple";
            // 
            // optDropDown
            // 
            this.optDropDown.Checked = true;
            this.optDropDown.Location = new System.Drawing.Point(104, 16);
            this.optDropDown.Name = "optDropDown";
            this.optDropDown.RightToLeft = System.Windows.Forms.RightToLeft.No;
            this.optDropDown.Size = new System.Drawing.Size(89, 17);
            this.optDropDown.TabIndex = 2;
            this.optDropDown.TabStop = true;
            this.optDropDown.Text = "Drop down";
            // 
            // _Label
            // 
            this._Label.BackColor = System.Drawing.Color.Gray;
            this._Label.Location = new System.Drawing.Point(8, 208);
            this._Label.Name = "_Label";
            this._Label.Size = new System.Drawing.Size(308, 1);
            this._Label.TabIndex = 16;
            // 
            // frmFieldConfig
            // 
            this.AcceptButton = this.btnOk;
            this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
            this.CancelButton = this.btnCancel;
            this.ClientSize = new System.Drawing.Size(322, 249);
            this.Controls.Add(this._Label);
            this.Controls.Add(this.btnCancel);
            this.Controls.Add(this.btnOk);
            this.Controls.Add(this.Frame1);
            this.Controls.Add(this.Frame3);
            this.Controls.Add(this.Frame2);
            this.Controls.Add(this.Frame4);
            this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle;
            this.Location = new System.Drawing.Point(4, 24);
            this.MaximizeBox = false;
            this.MinimizeBox = false;
            this.Name = "frmFieldConfig";
            this.StartPosition = System.Windows.Forms.FormStartPosition.CenterParent;
            this.Text = "Rep++ Field Controls Configuration";
            this.Frame1.ResumeLayout(false);
            this.Frame3.ResumeLayout(false);
            this.Frame2.ResumeLayout(false);
            this.Frame4.ResumeLayout(false);
            this.ResumeLayout(false);

        }
		#endregion
	}
}
